function Draw()
    DrawStars()
    DrawFleets()
    DrawShips()
    DrawGui()
end

function DrawStars()
    for i = 1, 200 do
        if star[i].owner == 13 then
            love.graphics.setColor(color[star[i].size - 2])
            love.graphics.circle("line", star[i].x, star[i].y, star[i].size + 3)
            love.graphics.circle("line", star[i].x, star[i].y, star[i].size + 2)
        else
            love.graphics.setColor(color[star[i].owner])
            love.graphics.circle("fill", star[i].x, star[i].y, star[i].size + 3)
        end
    end
end

function DrawShips()
    love.graphics.setColor(0.8, 0.8, 0.8)
    for i = 1, 200 do
        x = star[i].x - 4
        y = star[i].y + star[i].size + 4
        love.graphics.setFont(font14)
        love.graphics.printf(star[i].ships, x - 46, y, 100, "center")
    end
end

function DrawGui()
    DrawInfo()
end

function DrawFleets()
    if fleetTop > 1 then
        for i = 1, fleetTop - 1 do
            love.graphics.setColor(color[fleet[i].owner])
            love.graphics.circle("line", fleet[i].x1, fleet[i].y1, 3)
            love.graphics.circle("line", fleet[i].x1, fleet[i].y1, 4)
        end
    end
end

function DrawInfo() 
    for i = 1, 200 do
        local gx = star[i].x
        local gy = star[i].y 
        if mx > gx - 15 then
            if mx < gx + 15 then
                if my > gy - 15 then
                    if my < gy + 15 then
                        if gx < 960 then gx = gx + 24 else gx = gx - 504 end
                        if gy > 540 then gy = gy - 214 end 
                        love.graphics.setColor(SteelBlue)
                        love.graphics.rectangle("fill", gx, gy, 480, 214, 10, 10)
                        love.graphics.setColor(Black)
                        love.graphics.setFont(font36)
                        love.graphics.printf("Star Name", gx, gy + 10, 480, "center")
                        love.graphics.setColor(DarkSteelBlue)
                        love.graphics.line(gx + 10, gy + 56, gx + 470, gy + 56)
                        love.graphics.line(gx + 10, gy + 57, gx + 470, gy + 57) 
                        love.graphics.setColor(Black)
                        love.graphics.printf("Production", gx + 10, gy + 66, 470, "left")
                        love.graphics.printf(star[i].size, gx, gy + 66, 470, "right")
                        love.graphics.printf("Ships", gx + 10, gy + 112, 470, "left")
                        love.graphics.printf(star[i].ships, gx, gy + 112,470, "right")
                        love.graphics.printf("In Range", gx + 10, gy + 158, 470, "left")
                        local d = Distance(i, player[1])
                        if d <= range then s = "yes" else s = "No" end 
                        if star[i].owner == 1 then s = "NA" end 
                        love.graphics.printf(s, gx, gy + 158, 470, "right")    
                    end
                end
            end
        end
    end
end